Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Interface GinSimConstants

All Superinterfaces:
  GxlConstants

All Known Implementing Classes:
  GinSimReader.GinSimHandler

public interface GinSimConstants
extends GxlConstants

Field Summary
`static java.lang.String` | `BACKGROUND_COLOR_ATTR`
`static java.lang.String` | `EDGE_VIS_SET_ELEM`
`static java.lang.String` | `ELLIPSE_ELEM`
`static java.lang.String` | `FOREGROUND_COLOR_ATTR`
`static java.lang.String` | `HEIGHT_ATTR`
`static java.lang.String` | `LINE_COLOR_ATTR`
`static java.lang.String` | `LINE_STYLE_ATTR`
`static java.lang.String` | `NODE_VIS_SET_ELEM`
`static java.lang.String` | `POINT_ELEM`
`static java.lang.String` | `POINTS_ATTR`
`static java.lang.String` | `POLY_ELEM`
`static java.lang.String` | `RECT_ELEM`
`static java.lang.String` | `ROUTAGE_ATTR`
`static java.lang.String` | `WIDTH_ATTR`
`static java.lang.String` | `X_ATTR`
`static java.lang.String` | `Y_ATTR`

Fields inherited from interface biouml.plugins.gxl.GxlConstants
`ATTR_ELEM, BAG_ELEM, BOOL_ELEM, EDGE_ELEM, ENUM_ELEM, FLOAT_ELEM, FROM_ATTR, GRAPH_ELEM, GXL_ELEM, ID_ATTR, INT_ELEM, LOCATOR_ELEM, NODE_ELEM, RELATION_ELEM, RELEND_ELEM, SEQ_ELEM, SET_ELEM, STRING_ELEM, TARGET_ATTR, TO_ATTR, TUP_ELEM, TYPE_ELEM`

Field Detail

### POINT_ELEM

    public static final java.lang.String POINT_ELEM

See Also:
  Constant Field Values

### RECT_ELEM

    public static final java.lang.String RECT_ELEM

See Also:
  Constant Field Values

### ELLIPSE_ELEM

    public static final java.lang.String ELLIPSE_ELEM

See Also:
  Constant Field Values

### POLY_ELEM

    public static final java.lang.String POLY_ELEM

See Also:
  Constant Field Values

### NODE_VIS_SET_ELEM

    public static final java.lang.String NODE_VIS_SET_ELEM

See Also:
  Constant Field Values

### EDGE_VIS_SET_ELEM

    public static final java.lang.String EDGE_VIS_SET_ELEM

See Also:
  Constant Field Values

### POINTS_ATTR

    public static final java.lang.String POINTS_ATTR

See Also:
  Constant Field Values

### LINE_STYLE_ATTR

    public static final java.lang.String LINE_STYLE_ATTR

See Also:
  Constant Field Values

### LINE_COLOR_ATTR

    public static final java.lang.String LINE_COLOR_ATTR

See Also:
  Constant Field Values

### ROUTAGE_ATTR

    public static final java.lang.String ROUTAGE_ATTR

See Also:
  Constant Field Values

### X_ATTR

    public static final java.lang.String X_ATTR

See Also:
  Constant Field Values

### Y_ATTR

    public static final java.lang.String Y_ATTR

See Also:
  Constant Field Values

### WIDTH_ATTR

    public static final java.lang.String WIDTH_ATTR

See Also:
  Constant Field Values

### HEIGHT_ATTR

    public static final java.lang.String HEIGHT_ATTR

See Also:
  Constant Field Values

### FOREGROUND_COLOR_ATTR

    public static final java.lang.String FOREGROUND_COLOR_ATTR

See Also:
  Constant Field Values

### BACKGROUND_COLOR_ATTR

    public static final java.lang.String BACKGROUND_COLOR_ATTR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.